using System;
namespace Petlja_4
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] red = unos();
            int brojVaga = int.Parse(red[0]);
            int brojPitanja = int.Parse(red[1]);

            List<int[]> vage = new List<int[]>();
            for (int i = 0; i < brojVaga; i++)
            {
                red = unos();
                int[] vaga = new int[2];
                vaga[0] = int.Parse(red[0]);
                vaga[1] = int.Parse(red[1]);
                vage.Add(vaga);
            }

            List<int[]> pitanja = new List<int[]>();
            for (int i = 0; i < brojPitanja; i++)
            {
                red = unos();
                int[] pitanje = new int[3];
                pitanje[0] = int.Parse(red[0]);
                pitanje[1] = int.Parse(red[1]);
                pitanje[2] = int.Parse(red[2]);
                pitanja.Add(pitanje);
            }

            for (int i = 0; i < brojPitanja; i++)
            {
                int min = pitanja[i][0] - 1;
                int max = pitanja[i][1] - 1;
                int rezultat = 0;
                for (int j = min; j <= max; j++)
                {
                    if (daLiJeUOpsegu(vage[j], pitanja[i][2]))
                    {
                        rezultat++;
                    }
                }
                Console.WriteLine(rezultat);
            }
        }

        static String[] unos()
        {
            string linija = Console.ReadLine();
            return linija.Split();
        }

        static bool daLiJeUOpsegu(int[] granice, int tezina)
        {
            return tezina >= granice[0] && tezina <= granice[1];
        }
    }

}